
function openVenueModal(venue_id) {
    // showPage($("#newVenuePages .page:first"));
    $("#detailsTab").click();
    setTimeout(() => { $("#venueName").focus() }, 300);
    new bootstrap.Modal("#venueModal").show();
}

function showPage(page) {
    if (page.length === 0) return;
    $("#newVenuePages .page").removeClass("active");
    page.addClass("active");

    if (page.index() === 0) {
        $("#newVenueBack").hide();
        $("#newVenueNext").show();
        $("#newVenueFinished").hide();
    } 
    else if (page.index() + 1 === $("#newVenuePages .page").length) {
        $("#newVenueBack").show();
        $("#newVenueNext").hide();
        $("#newVenueFinished").show();
    }
    else {
        $("#newVenueBack").show();
        $("#newVenueNext").show();
        $("#newVenueFinished").hide();
    }
}

$("#newVenueNext").on("click", function() {
    const currentPage = $("#newVenuePages .page.active");
    showPage(currentPage.next(".page"));
});

$("#newVenueBack").on("click", function() {
    const currentPage = $("#newVenuePages .page.active");
    showPage(currentPage.prev(".page"));
});

let map;

async function initMap() {
    const position = { lat: 54.7023545, lng: -3.2765753 };
    const { Map } = await google.maps.importLibrary("maps");
    const { AdvancedMarkerElement } = await google.maps.importLibrary("marker");

    map = new Map($("#allLocationsMap")[0], {
        zoom: 6,
        restriction: {
            latLngBounds: {
                north: 58.804,
                east: 2,
                south: 49.864,
                west: -8
            },
            strictBounds: true
        },
        center: position,
        mapId: "ALL_LOCATIONS_MAP",
        disableDefaultUI: true,
    });

    window.initAutocomplete();

    // const marker = new AdvancedMarkerElement({
    //     map: map,
    //     position: position,
    //     title: "Test"
    // });

    

    // const infoWindow = new google.maps.InfoWindow();
    // const infoWindowContent = $("#venueSearchResults")[0]
    // infoWindow.setContent(infoWindowContent);

    // autoComplete.addListener("place_changed", () => {
    //     // infoWindow.close();

    //     const place = autoComplete.getPlace();
    //     alert(JSON.stringify(place, null, 4));


    //     if (!place.geometry || !place.geometry.location) {
    //         alert("Couldn't find place");
    //         return;
    //     }

        
    // });
}

let autocomplete;

function initAutocomplete() {

    autocomplete = new google.maps.places.Autocomplete(
        $("#venueSearch")[0],
        {
            fields: ["address_components", "geometry"],
            types: ["address"],
            strictBounds: false
        }
    )
}

window.initAutocomplete = initAutocomplete;

$(document).ready(function() {
    initMap();
});